## visad.data.hdfeos
Class EosGrid

    java.lang.Object
      visad.data.hdfeos.EosStruct
          visad.data.hdfeos.EosGrid

public class EosGrid
extends EosStruct

Field Summary
`(package private) DimensionSet` `D_Set`
`(package private) VariableSet` `DV_Set`
`(package private) ShapeSet` `DV_shapeSet`
`(package private) int` `file_id`
`(package private) int` `grid_id`
`(package private) GctpMap` `gridMap`
`(package private) int` `sd_id`

Fields inherited from class visad.data.hdfeos.EosStruct
`D_TYPE, G_TYPE, struct_id`

Constructor Summary
`(package private)` `EosGrid(int file_id, int sd_id, String name)`

Method Summary
`GctpMap` `getMap()`
`ShapeSet` `getShapeSet()`
`int` `getStructId()` - end EosGrid constuctor - - - - - - - - - - - - -

Methods inherited from class visad.data.hdfeos.EosStruct
`readData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grid_id

    int grid_id

### file_id

    int file_id

### sd_id

    int sd_id

### D_Set

    DimensionSet D_Set

### DV_Set

    VariableSet DV_Set

### DV_shapeSet

    ShapeSet DV_shapeSet

### gridMap

    GctpMap gridMap

Constructor Detail

### EosGrid

    EosGrid(int file_id,
            int sd_id,
            String name)
      throws HdfeosException

Method Detail

### getStructId

    public int getStructId()

  - end EosGrid constuctor - - - - - - - - - - - - -

  Overrides:
    `getStructId` in class `EosStruct`

### getMap

    public GctpMap getMap()

### getShapeSet

    public ShapeSet getShapeSet()